'use strict';

var config = require('../../config.json');

/**
 * @param {NodePath} path
 * @returns {Boolean}
 */
module.exports = function (path) {
    /**
     * @type {Array<NodePath>}
     */
    var innerPaths = path.get('body').get('body');

    /**
     * @type {Array<NodePath>}
     */
    var expressions = innerPaths.filter(function (innerPath) {
        if (!innerPath.isExpressionStatement()) {
            return false;
        }

        return innerPath.node.expression.type === 'CallExpression' && innerPath.node.expression.callee.name === config.functionName;
    });

    return !expressions.length;
};